# $Id: genst.spec.in,v 1.4 2001/12/19 09:46:05 chipx86 Exp $

%define name    genst
%define ver     0.2.0
%define RELEASE 1
%define rel     %{?CUSTOM_RELEASE} %{!?CUSTOM_RELEASE:%RELEASE}
%define prefix  /usr/local
%{expand:%%define share %(if [ -d %{prefix}/share/man ]; then echo /share ; else echo %%{nil} ; fi)}
%ifos linux
%define CONFIG_FLAGS --prefix=%prefix --infodir='%{prefix}%{share}/info' --mandir='%{prefix}%{share}/man'
%else
%define CONFIG_FLAGS --prefix=%prefix
%endif

Summary:       Generates source code trees for C/C++ projects.
Name:          %name
Version:       %ver
Release:       %rel
Copyright:     GPL
Group:         Development/Tools
Source:        ftp://ftp.gnupdate.org/pub/gnupdate/tarballs/%{name}-%{ver}.tar.gz
URL:           http://www.gnupdate.org/
Prefix:        %prefix
BuildRoot:     /var/tmp/%{name}-%{version}-root
Packager:      Christian Hammond <chipx86@gnupdate.org>

%description
Generates source code trees for C/C++ projects. The user is asked a
series of questions, which genst uses to build the necessary files
for a standard autoconf/automake system, as well as RPM .spec files
and (soon) debian files.


%prep
%setup

%build
if [ ! -z "`echo -n ${RPM_OPT_FLAGS} | grep pentium`"]; then
	if [ ! -z `which egcs` ]; then
		CCC="egcs"
	else
		if [ ! -z `which pgcc` ]; then
			CC="pgcs"
		fi
	fi
	CFLAGS="${RPM_OPT_FLAGS}"
else
	CFLAGS="${RPM_OPT_FLAGS}"
fi

#if [ ! -f configure ]; then
	CFLAGS="$RPM_OPT_FLAGS" ./autogen.sh %{CONFIG_FLAGS}
#else
#	CFLAGS="$RPM_OPT_FLAGS" ./configure --prefix=%prefix
#fi

make

%install
rm -rf $RPM_BUILD_ROOT
make DESTDIR=$RPM_BUILD_ROOT install

%clean
rm -rf $RPM_BUILD_ROOT

%post

%postun

%files
%defattr(-, root, root)

%doc AUTHORS
%doc COPYING
%doc ChangeLog
%doc NEWS
%doc README
%doc TODO

%{prefix}/bin/*
%{prefix}/share/*

%doc AUTHORS COPYING ChangeLog NEWS README

##########################################################################

%changelog
* Wed Dec 19 2001 Christian Hammond <chipx86@gnupdate.org>
- Updated my e-mail address.

* Mon Aug 6 2001 Christian Hammond <chipx86@portaldesign.net>
- Created the first version of genst.spec.

