/**
 * @file generateDocumentation.c Documentation generation
 * 
 * $Id: generate_docs.c,v 1.8 2002/10/21 19:15:40 mhearn Exp $
 *
 * @Copyright (C) 2000-2002 The GNUpdate Project.
 *
 * This program is free software; you can redistribute it and/or
 * modify it under the terms of the GNU General Public License
 * as published by the Free Software Foundation; either version 2
 * of the License, or (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this library; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place - Suite 330,
 * Boston, MA  02111-1307, USA.
 */
#include "genst.h"

void
generateDocumentation(ProjectInfo *project, GenerationState *state)
{
	char baseMessage[31] = "Creating base documentation:\n\t";
	char *temp;
	
	/* AUTHORS */
	updateGenerationStatus(state, baseMessage, "AUTHORS");
	touchFile(project->dir, "AUTHORS");

	/* COPYING */
	updateGenerationStatus(state, baseMessage, "COPYING");

	temp = (char *)malloc((strlen(data_dir) + strlen(project->license) +
						   11) * sizeof(char));

	strcpy(temp, data_dir);
	strcat(temp, "/licenses/");
	strcat(temp, project->license);
	
	if (fileExists(temp))
	{
		char *dest = (char *)malloc((strlen(project->dir) + 9) * sizeof(char));

		strcpy(dest, project->dir);
		strcat(dest, "/COPYING");

		copyFile(temp, dest);

		free(dest);
	}

	free(temp);

	/* ChangeLog */
	updateGenerationStatus(state, baseMessage, "ChangeLog");
	touchFile(project->dir, "ChangeLog");

	/* INSTALL */
	temp = (char *)malloc((strlen(data_dir) + 19) * sizeof(char));
	
	updateGenerationStatus(state, baseMessage, "INSTALL");
	strcpy(temp, data_dir);
	strcat(temp, "/templates/INSTALL");
	
	if (fileExists(temp))
	{
		char *dest = (char *)malloc((strlen(project->dir) + 9) * sizeof(char));

		strcpy(dest, project->dir);
		strcat(dest, "/INSTALL");

		copyFile(temp, dest);

		free(dest);
	}

	free(temp);
	
	/* NEWS */
	updateGenerationStatus(state, baseMessage, "NEWS");
	touchFile(project->dir, "NEWS");
	
	/* README */
	updateGenerationStatus(state, baseMessage, "README");
	touchFile(project->dir, "README");
}

