/**
 * @file genst.h Main include file
 * 
 * $Id: genst.h,v 1.7 2002/10/21 19:15:40 mhearn Exp $
 *
 * @Copyright (C) 2000-2002 The GNUpdate Project.
 *
 * This program is free software; you can redistribute it and/or
 * modify it under the terms of the GNU General Public License
 * as published by the Free Software Foundation; either version 2
 * of the License, or (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this library; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place - Suite 330,
 * Boston, MA  02111-1307, USA.
 */
#ifndef _GENST_H_
#define _GENST_H_

#ifdef HAVE_CONFIG_H
# include "config.h"
# undef PACKAGE_NAME
#endif

#ifdef HAVE_UNISTD_H
# include <sys/types.h>
# include <unistd.h>
#endif

#ifdef STDC_HEADERS
# include <stdlib.h>
# include <string.h>
#else
# ifdef HAVE_STRING_H
#  include <string.h>
# else
#  include <strings.h>
# endif
#endif

#ifdef HAVE_FCNTL_H
# include <fcntl.h>
#else
# include <sys/file.h>
#endif

#ifdef HAVE_SYS_STAT_H
# include <sys/stat.h>
#endif

#include <stdio.h>
#include <errno.h>

#ifdef WITH_DMALLOC
# include <dmalloc.h>
#endif

#ifdef WITH_LEAKBUG
# include <leakbug.h>
# define LB_REGISTER(ptr, dataSize) \
    lbRegister((ptr), (dataSize), __FILE__, __LINE__, LEAKBUG_DEBUG_LEVEL)
# define LB_REGISTER_ARRAY(ptr, dataSize, numElements) \
	lbRegisterArray((void **)(ptr), (dataSize), (numElements), \
	                __FILE__, __LINE__, LEAKBUG_DEBUG_LEVEL)
#else
# define LB_REGISTER(ptr, dataSize)
# define LB_REGISTER_ARRAY(ptr, dataSize, numElements)
#endif

#include "dialog.h"
#include "package.h"
#include "projectinfo.h"
#include "packagelist.h"
#include "generate.h"
#include "utils.h"
#include "xml.h"
#include "xml_lists.h"


extern char *data_dir;

#endif /* _GENST_H_ */

